Retrieve all IP Blocks

View as Markdown
Retrieve the IP Blocks visible to the requesting organization. Private IP Block records linked to a `TenantManaged` SitePrefix are not exposed through this API. User must have authorization role with `PROVIDER_ADMIN` or `TENANT_ADMIN` suffix. `infrastructureProviderId` or `tenantId` query parameter may be required for older API versions.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated

Filter IP Blocks by Infrastructure Provider ID. Deprecated: Infrastructure Provider is now inferred from the org’s membership.

tenantIdstringOptionalformat: "uuid"Deprecated

Filter IP Blocks by Tenant ID. Deprecated: Tenant is now inferred from the org’s membership.

siteIdstringOptionalformat: "uuid"
Filter IP Blocks by Site ID
statusstringOptional
Filter IP Blocks by Status
includeUsageStatsbooleanOptional
Include IP Block usage stats in response
querystringOptional
Search for matches across all IP Blocks. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the IP Block
namestringOptional2-256 characters
Name of the IP Block
descriptionstring or nullOptional
Description of the IP Block
siteIdstringOptionalformat: "uuid"
ID of the Site
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider
tenantIdstring or nullOptionalformat: "uuid"
ID of the Tenant
routingTypeenumOptional
RoutingType of the IP Block
prefixstringOptional
Either IPv4 or IPv6 address
prefixLengthintegerOptional

Min: 1, Max: 32 for ipv4, 128 for ipv6

protocolVersionenumOptional
Version of the ip network IPv4 or IPv6
usageStatsobjectOptional
Usage summary from IPAM for the IP Block
statusenumOptional
Status of the IP Block
statusHistorylist of objectsOptional
Chronological status history for the IP Block
createddatetimeOptionalRead-only

Date/time when the Ip Block was created

updateddatetimeOptionalRead-only

Date/time when the Ip Block was last updated

Errors

403
Forbidden Error